> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token



## OpenAPI

````yaml /openapi.json post /v1/auth/token/refresh
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/auth/token/refresh:
    post:
      summary: Refresh Token
      operationId: refresh_token_v1_auth_token_refresh_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostedLoginRefresh'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedLoginToken'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedLoginRefresh:
      additionalProperties: false
      properties:
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        refresh_token:
          title: Refresh Token
          type: string
      required:
        - refresh_token
      title: HostedLoginRefresh
      type: object
    HostedLoginToken:
      additionalProperties: false
      properties:
        access_token:
          title: Access Token
          type: string
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        refresh_token:
          title: Refresh Token
          type: string
      required:
        - access_token
        - refresh_token
      title: HostedLoginToken
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````